.. -*- mode: rst -*- .. _api_root: ============= API Root ============= Overview ======== The API Root is the entry point for the MyIGA Hypermedia API, it provides a welcome message and information about the API itself, including the version of the API and hyperlinks to the available sessions. Resources ========= .. include:: ../resource_maps/api_root.txt Verb: **GET** ============= Response ^^^^^^^^ - **200**: Presents a welcome message, information about this application, and links to session resources. Representation ^^^^^^^^^^^^^^ - **application/vnd.myiga.v1+json** - **application/json** - **text/html** Attributes ^^^^^^^^^^ - *currentSession*: the current IGA session - *motd*: a welcome message - *name*: the name of this application - *apiVersion*: the version of this API - *sessions*: a list of the available sessions Example ^^^^^^^ *HTTP Request*: .. code-block:: bash curl -i \ -X GET \ -H "Accept: application/vnd.myiga.v1+json" \ -H "Authorization: Token my4pp1c4t10nt0k3n" https://api.iga.in.gov/ *HTTP Response*: .. code-block:: javascript { "apiVersion": "1.3", "currentSession": { "link": "/2013", "name": "First Regular Session 118th General Assembly (2013)" }, "motd": "Welcome to the preview version of the MyIGA API.", "name": "MyIGA API", "revno": 22959, "sessions": [ { "link": "/2014", "name": "Second Regular Session 118th General Assembly (2014)" }, { "link": "/2013", "name": "First Regular Session 118th General Assembly (2013)" }, { "link": "/2012", "name": "Second Regular Session 117th General Assembly (2012)" }, { "link": "/2011", "name": "First Regular Session 117th General Assembly (2011)" } ] }